@charset "UTF-8";



body {
    font-family: "Hiragino Mincho ProN", "MS Mincho", serif;
    background-color: #F6F0EC;
    color: #252525;
    letter-spacing: .08em;
    font-size: 100%;
    line-height: 1;
    font-weight: normal;
}

.wrapper {
    margin: 0 auto;
    max-width: 1000px;
    width: 100%;
    text-align: left;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

a {
    display: block;
}

p {
    font-family: "Shippori Mincho", serif;
    font-weight: 400;
    font-style: normal;
}

/* header */
header {
    background-color: rgba(246, 240, 236, 0.9);
    position: fixed;
    top: 0;
    height: 134px;
    width: 100%;
    text-align: center;
    display: flex;
    justify-content: start;
    align-items: center;
    z-index: 2;
}

.header.wrapper {
    width: 100%;
    height: 134px;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#logo {
    text-align: center;
    font-family: "WindSong", cursive;
    font-weight: 500;
    font-style: normal;
    margin-top: -35px;
}



/* ハンバーガーメニュー */
.openbtn {
    position: relative;
    width: 50px;
    height: 50px;
    cursor: pointer;
    align-self: flex-start;
}

/*ボタン内側*/

.openbtn span {
    display: inline-block;
    transition: all .4s;
    /*アニメーションの設定*/
    position: absolute;
    left: 13px;
    height: 2px;
    background-color: #252525;
}


.openbtn span:nth-of-type(1) {
    top: 22px;
    width: 50%;
}

.openbtn span:nth-of-type(2) {
    top: 29px;
    width: 30%;
}



.openbtn.active span:nth-of-type(1) {
    top: 20px;
    left: 16px;
    transform: translateY(6px) rotate(-45deg);
    width: 35%;
    z-index: 5;
}

.openbtn.active span:nth-of-type(2) {
    top: 32px;
    left: 16px;
    transform: translateY(-6px) rotate(45deg);
    width: 35%;
    z-index: 5;
}


/* ナビゲーションメニュー */

/*アクティブになったエリア*/
#g-nav.panelactive {
    position: fixed;
    z-index: 999;
    top: 0;
    width: 100%;
    height: 100vh;
}

/*丸の拡大*/
.circle-bg {
    position: fixed;
    z-index: 3;
    /*丸の形*/
    width: 50px;
    height: 50px;
    border-radius: 80%;
    background: #F6F0EC;
    opacity: 0.8;
    /*丸のスタート位置と形状*/
    transform: scale(0);
    /*scaleをはじめは0に*/
    left: -50px;
    top: -50px;
    transition: all .9s;

}

.circle-bg.circleactive {
    transform: scale(50);
    /*クラスが付与されたらscaleを拡大*/
}

/*ナビゲーション*/
#g-nav ul {
    opacity: 0;
    /*はじめは透過0*/
    /*ナビゲーション天地中央揃え※レイアウトによって調整してください。不必要なら削除*/
    position: absolute;
    /* z-index: 6; */
    top: 50%;
    left: 30%;
    transform: translate(-50%, -50%);
}

/*背景が出現後にナビゲーションを表示*/
#g-nav.panelactive ul {
    opacity: 1;
    transition: all 1s;
    width: 100%;
}



/*リストのレイアウト設定*/
#g-nav li {
    text-align: center;
    list-style: none;
    /* border-bottom: solid 1px #252525; */
    width: 100%;
}

#g-nav li a {
    color: #252525;
    text-decoration: none;
    padding-top: 10px;
    line-height: 4;
    display: block;
    letter-spacing: 0.1em;
    font-weight: bold;
    z-index: 999;
}


/* top-title-area */

#top-title-area {
    background-image: url(image/top-title-area.jpg);
    background-size: cover;
    background-position: center;
    height: 30vh;
    display: flex;
    justify-content: start;
    align-items: center;
    margin-top: 134px;
}



.top-title-area.wrapper {
    display: block;
}

.top-title-area-inner {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.top-title-area-text {
    width: 20%;
    text-align: center;
}


h2 {
    width: 100%;
    font-family: "WindSong", cursive;
    font-weight: 500;
    font-style: normal;
    font-size: 4rem;
    color: #ffffff;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
}

h3 {
    font-family: "Shippori Mincho", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.5rem;
    color: #ffffff;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.2);
}


#sns-icon {
    width: 30px;
    margin: 10px 10px;
}



.side-sns-nav a {
    display: block;
}


/* section 共通*/

.text {
    text-align: center;
    align-self: center;
    width: 100%;
}

section:nth-of-type(odd) {
    height: 100vh;
}

section:nth-of-type(even) {
    height: 70vh;
}


h4 {
    font-family: "Shippori Mincho", serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.5rem;
    margin: 20px 0;
}

h5 {
    font-family: "WindSong", cursive;
    font-weight: 500;
    font-style: normal;
    font-size: 2.2rem;
    margin: 20px 0;
}

h6 {
    margin: 20px 0;
}

.text p {
    line-height: 2;
}


.img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 16px;
    aspect-ratio: 1/1;
}


.about-contents,
.career-contents {
    width: 33%;
    padding: 0 1%;
    text-align: center;
}


.Favorite-image.Favorite-contents,
.skills-image.skills-contents {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, 1fr)
}

.about-img01.img,
.about-img07.img {
    width: 100%;
    grid-column: 1;
    grid-row: 1;
}

.about-img01.img {
    object-fit: cover;
    object-position: left top;
}

.about-img02.img,
.about-img08.img {
    width: 100%;
    grid-column: 2;
    grid-row: 2;
}


.about-img03.img {
    width: 80%;
}

.about-img05.img {
    width: 80%;
}

.about-img06.img {
    width: 80%;
}

.about-img07.img {
    object-fit: cover;
    object-position: right 3% top 0%;
    
}

.about-img08.img {
    object-fit: cover;
    object-position: left 30% top 0;
}

section {
    display: flex;
    justify-content: space-around;
}

.left {
    align-self: flex-start;
    margin-top: 10%;
}

.right {
    align-self: flex-end;
    /* display: flex; */
    flex-direction: column;
    margin-bottom: 10%;
}

.about-message {
    width: 70%;
    margin-left: 30%;
}

.profile-picture {
    margin-top: 10px;
    width: 80%;
    height: 80%; 
    object-fit: cover;
    border-radius: 16px;
    aspect-ratio: 1/1;

}



.skills.wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.skills-contents {
    width: 50%;
    text-align: center;
}


.outer {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.skills-contents-inner {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 20px 0;
}

.skills.circle-container {
    width: 100px;
    height: 100px;
    background-color: #F4B9A8;
    border-radius: 50%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.skills-parts {
    font-weight: bold;
    font-size: .9rem;
    letter-spacing: 0.08rem;
    color: #fff;
}

@media (max-width: 768px) {
    .Skills-parts {
        width: calc(100% - 20px);
    }
}


.skills-image {
    width: 30%;
}

.skills-image img {
    width: 80%;
}


.Favorite.wrapper {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.Favorite-contents {
    width: 50%;
    text-align: center;
}

.Favorite-image {
    width: 30%;
}

.Favorite-image img {
    width: 80%;
}

.Favorite-contents-inner {
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin: 20px 0;
}

.Favorite-items p {
    text-align: center;
    font-family: "WindSong", cursive;
    font-weight: 500;
    font-style: normal;
    color: #F4B9A8
}

.circle-container {
    width: 100px;
    height: 100px;
    background-color: #ffffff;
    border-radius: 50%;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

.circle-container img {
    width: 70%;
    padding: 2%;
    height: auto;
}

/* contact */

.contact-btn {
    margin: 0 auto;
    width: 30%;
    height: 50px;
    border-radius: 36px;
    background-color: #FBE3DC;
    box-shadow: 0 2px 3px rgb(0 0 0 / 25%), 0 2px 3px -2px rgb(0 0 0 / 15%);
}

.contact-btn:hover {
    background-color: #ffffff;
    border: none;
}


.contact-btn a {
    height: 100%;
    width: 100%;
}

.contact-btn p {
    display: inline-block;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #252525;
}

.contact-btn p:hover {
    color: #F4B9A8;
}


.contact.section {
    height: 20vh;
    background-image: url(image/snsbg.jpg);
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contact-container {
    height: 10vh;
    width: 100%;
    background-color: rgba(244, 185, 168, 0.9);

}

.contact.wrapper {
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* パンくずリスト */
.breadcrumb.wrapper {
    height: 3vh;
    display: block;
}

.breadcrumb {
    display: flex;
    gap: 0 22px;
    list-style: none;
    padding: 0;
    font-size: .9em;
}

.breadcrumb li {
    display: flex;
    align-items: center;
}

.breadcrumb li:first-child::before {
    display: inline-block;
    width: 1em;
    height: 1em;
    margin-right: 4px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M20 20C20 20.5523 19.5523 21 19 21H5C4.44772 21 4 20.5523 4 20V11L1 11L11.3273 1.6115C11.7087 1.26475 12.2913 1.26475 12.6727 1.6115L23 11L20 11V20ZM11 13V19H13V13H11Z' fill='%23f4b9a8'%3E%3C/path%3E%3C/svg%3E");
    background-repeat: no-repeat;
    content: '';
}

.breadcrumb li:not(:last-child)::after {
    display: inline-block;
    transform: rotate(45deg);
    width: .3em;
    height: .3em;
    margin-left: 10px;
    border-top: 1px solid #F4B9A8;
    border-right: 1px solid #F4B9A8;
    content: '';
}

.breadcrumb a {
    color: #F4B9A8;
    text-decoration: none;
}



/* footer */
footer {
    height: 67px;
    width: 100%;
    text-align: center;
}

.footer.wrapper {
    height: 100%;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: .8rem;
}

@media screen and (max-width: 1000px) {
    body {
        font-size: 90%;
        padding: 1%
    }

}


@media screen and (max-width: 768px) {
    body {
        font-size: 90%;
    }

    .wrapper {
        max-width: 100%;
    }

    header {
        height: 80px;
    }

    .top-title-area-text {
        font-size: 1.5rem;
        width: 100%;
        border-right: none;
        text-align: left;
        margin-left: 10%;
    }

    .side-sns-nav {
        margin-right: 10%;
    }


    h4 {
        margin-left: 0;
    }

    .skills.wrapper,
    .Favorite.wrapper {
        display: flex;
        justify-content: space-around;
        align-items: center;
    }
}

@media screen and (max-width: 428px) {
    body {
        font-size: 95%;
    }

    .wrapper {
        max-width: 100%;
        flex-direction: column;
    }

    .top-title-area-text {
        font-size: 1.2rem;
    }

    section:nth-of-type(odd) {
        height: 100%;
    }

    section:nth-of-type(even) {
        height: 100%;
    }

    h4 {
        font-size: 1.1rem;
        margin: 50px 0;
    }

    .about-contents,
    .career-contents {
        width: 80%;
    }

    .left {
        display: none;
    }

    .right {
        display: block;
        margin: 10% auto;
    }

    .about-message {
        width: 60%;
        margin-left: 40%;
    }

    .profile-picture {
        height: 60%;
        width: 60%;
        object-fit: cover;
        border-radius: 16px;
        aspect-ratio: 1/1;
    }

    .skills-image.skills-contents,
    .Favorite-image.Favorite-contents {
        display: none;
    }

    .skills-contents,.Favorite-contents {
        width: 90%;
    }

    h5 {
        font-size: 1.9rem;
        margin-top: 50px;
    }
    
    h6 {
        margin: 20px 0;
    }
    .breadcrumb.wrapper {
        margin-top: 50px;
    }
    .contact-btn {
        width: 80%;
    }
    
}